﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.Collections.ObjectModel;
using System.Windows.Media;
using System.Windows;

namespace RadPropertyGrid_WPF_NoXAML_32
{
	public class MyViewModel
	{
		public IEnumerable<object> Shapes
		{
			get
			{
				return new List<object>()
                {
                    new Ellipse()
                    { 
                        Center = new Point(1,1), 
                        FillColor = Colors.Red, 
                        RadiusX1 = 4, RadiusX2 = 2
                        },
                    new RegularPolygon()
                    { 
                        Center = new Point(3,2), 
                        FillColor = Colors.Blue, 
                        CornersCount = 3, 
                        SideLength = 10}
                    };
			}
		}
	}
}
