﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Media;

namespace RadPropertyGrid_WPF_NoXAML_32
{
	public class RegularPolygon : INotifyPropertyChanged
	{
		public int CornersCount { get; set; }
		private Color fillColor;
		public Color FillColor
		{
			get
			{
				return this.fillColor;
			}
			set
			{
				if (this.fillColor != value)
				{
					this.fillColor = value;
					this.OnPropertyChanged("FillColor");
				}
			}
		}
		public Point Center { get; set; }
		public double SideLength { get; set; }


		public event PropertyChangedEventHandler PropertyChanged;

		private void OnPropertyChanged(string propertyName)
		{
			if (this.PropertyChanged != null)
				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
		}
	}
}
