﻿using System;
using System.ComponentModel;
using System.Linq;
using System.Windows;
using System.Windows.Media;

namespace RadPropertyGrid_WPF_NoXAML_32
{
	public class Ellipse : INotifyPropertyChanged
	{		
		private Color fillColor;
		public Color FillColor
		{
			get
			{
				return this.fillColor;
			}
			set
			{
				if (this.fillColor != value)
				{
					this.fillColor = value;
					this.OnPropertyChanged("FillColor");
				}
			}
		}

		public double RadiusX1 { get; set; }
		public double RadiusX2 { get; set; }
		public Point Center { get; set; }
		
	
		public event PropertyChangedEventHandler PropertyChanged;

		private void OnPropertyChanged(string propertyName)
		{
			if (this.PropertyChanged != null)
				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
		}

	}
}
